Question: Error running multi-input workflow after upgrade
1
gravatar for jdv
20 months ago by
jdv20
jdv20 wrote:

After upgrading a local Galaxy instance to 16.10 (from 16.01), I now get an error trying to start a workflow with multiple input files. This happens even with a newly-created barebones testing workflow. The steps taken are:

  1. Select workflow to run
  2. Select multiple linked datasets for forward and reverse reads
  3. Select "Send results to new history: Yes"
  4. Click "Run Workflow"

A red error window is presented to the user with the following:

The server could not complete the request. Please contact the Galaxy Team if this error persists. "Uncaught exception in exposed API method:"

{
    "new_history_name": "test_multi_",
    "history_id": null,
    "replacement_params": {},
    "parameters": {
        "0": {
            "input": {
                "values": [
                    {
                        "src": "hda",
                        "keep": false,
                        "hid": 1,
                        "id": "f730cea376070f95",
                        "name": "695_S12_L001_R1_001.fastq"
                    },
                    {
                        "src": "hda",
                        "keep": false,
                        "hid": 19,
                        "id": "5a3cb0004e7923b9",
                        "name": "trimmed_synced_sync.1.fq"
                    }
                ],
                "batch": true
            }
        },
        "1": {
            "input": {
                "values": [
                    {
                        "src": "hda",
                        "keep": false,
                        "hid": 2,
                        "id": "a4d69f1b7b4142ae",
                        "name": "695_S12_L001_R2_001.fastq"
                    },
                    {
                        "src": "hda",
                        "keep": false,
                        "hid": 20,
                        "id": "895e6d700409e1fc",
                        "name": "trimmed_synced_sync.2.fq"
                    }
                ],
                "batch": true
            }
        },
        "2": {
            "library|type": "paired",
            "pvalue": "0.01",
            "min_overlap": "10",
            "max_assembly_length": "0",
            "min_assembly_length": "50",
            "min_trim_length": "1",
            "quality_threshold": "0",
            "max_uncalled_base": "1.0",
            "cap": "40",
            "test_method": "1",
            "empirical_freqs": "false",
            "nbase": "false",
            "score_method": "2",
            "outputs": [
                "assembled",
                "report"
            ]
        }
    },
    "parameters_normalized": true,
    "batch": true
}

and I find this in the log:

galaxy.web.framework.decorators ERROR 2017-01-26 15:58:39,356 Uncaught exception in exposed API method:
Traceback (most recent call last):
  File "/share/home/galaxy/galaxy/lib/galaxy/web/framework/decorators.py", line 282, in decorator
    rval = func( self, trans, *args, **kwargs )
  File "/share/home/galaxy/galaxy/lib/galaxy/webapps/galaxy/api/workflows.py", line 478, in invoke
    run_configs = build_workflow_run_configs(trans, workflow, payload)
  File "/share/home/galaxy/galaxy/lib/galaxy/workflow/run_request.py", line 224, in build_workflow_run_configs
    history = _get_target_history(trans, workflow, payload, expanded_param_keys, index)
  File "/share/home/galaxy/galaxy/lib/galaxy/workflow/run_request.py", line 191, in _get_target_history
    nh_name = '%s on %s and %s' % ( nh_name, ', '.join( ids[ 0:-1 ] ), ids[ -1 ] )
TypeError: sequence item 0: expected string, int found

It looks to me like a problem building the new history names, but I'm not sure. Any help would be appreciated. I had to clear out a cache directory to get DRMAA working after the upgrade, and I'm not sure if this is caused by a similar problem.

Jeremy

software error galaxy • 592 views
ADD COMMENTlink written 20 months ago by jdv20
1
gravatar for jdv
20 months ago by
jdv20
jdv20 wrote:

After testing, I found that changing the relevant line (line 191 in $INSTALL//lib/galaxy/workflow/run_request.py) from

#nh_name = '%s on %s and %s' % ( nh_name, ', '.join( ids[ 0:-1 ] ), ids[ -1 ] )

to

nh_name = '%s on %s and %s' % ( nh_name, ', '.join( map(str,ids[ 0:-1 ] )), ids[ -1 ]

prevents the error and allows everything to run, with a history name like "foo bar on 2 and 1" (with 2 and 1 being the dataset indices). Looks like a bug (although I'm surprised no one else has noticed this). Can anyone else confirm this? In any case I will open an issue on github.

ADD COMMENTlink written 20 months ago by jdv20

The issue has been fixed here: https://github.com/galaxyproject/galaxy/pull/3532 thanks for reporting and figuring it out!

ADD REPLYlink written 19 months ago by Martin Čech ♦♦ 4.8k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 113 users visited in the last hour